<HTML>

    <HEAD>
        <TITLE> COMANDOS BASH !</TITLE>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </HEAD>

    <BODY class="fundo">

        <link href="../css/estilo.css" rel="stylesheet" type="text/css"/>

        <h1 class = "titulo"> Manual BASH $ </h1>
        <a href = "../index.html#top">
            <button class = "btn btn-primary">Início</button>
        </a>

        <hr />

        <h2 class = "subtitulo" id = "PWD"> PWD </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ pwd</p> 
        <p class = "texto"> Este comando te mostra o caminho completo do diretório que voce esta no momento.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>


        <div class = "container">
            <img class = "image" src = "./img/cmd_pwd.JPG">
            <div class = "overlay">
                <div class = "text"> $ pwd </div>
            </div>
        </div>


        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo" id = "CD"> CD </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ cd (nome do diretório)</p> 
        <p class = "texto"> Este comando te permite mudar de diretório.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_cd.JPG">
            <div class = "overlay">
                <div class = "text"> $ cd (nome do diretório) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "RM"> RM </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ rm (nome do arquivo)</p> 
        <p class = "texto"> Com este comando o usuario pode remover um arquivo.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_rm.JPG">
            <div class = "overlay">
                <div class = "text"> $ rm (nome do arquivo) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "RMDIR"> RMDIR </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ rmdir (nome do diretório)</p> 
        <p class = "texto"> Este comando permite ao usuario a remover um diretório.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_rmdir.JPG">
            <div class = "overlay">
                <div class = "text"> $ rmdir (nome do diretório) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "TOUCH"> TOUCH </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ touch (nome do novo arquivos)</p> 
        <p class = "texto"> Com este comando o usuario pode criar um novo arquivo.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_touch.JPG">
            <div class = "overlay">
                <div class = "text"> $ touch (nome do novo arquivos) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "CLEAR"> CLEAR </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ clear</p> 
        <p class = "texto"> Este comando limpa o terminal, fica como se tivesse acabo de abrir.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_clear.JPG">
            <div class = "overlay">
                <div class = "text"> $ clear </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "LS"> LS </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ ls</p> 
        <p class = "texto"> Este comando lista todas as pastas e arquivos existente no diretório corrente.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_ls.JPG">
            <div class = "overlay">
                <div class = "text"> $ ls </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "CP"> CP </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ cp (arquivo a ser copiado) (nome do novo arquivo)</p> 
        <p class = "texto"> Comando usado para fazer a copia de um arquivo ou pasta.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_cp.JPG">
            <div class = "overlay">
                <div class = "text"> $ cp (arquivo a ser copiado) (nome do novo arquivo) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "CAT"> CAT </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ cat (arquivo a ser visualizado)</p> 
        <p class = "texto"> Este comando permite visualizar o conteudo de um arquivo no próprio terminal.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_cat.JPG">
            <div class = "overlay">
                <div class = "text"> $ cat (arquivo a ser visualizado) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "HEAD"> HEAD </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ head -n (numero de linhas) (nome do arquivo)</p> 
        <p class = "texto"> Este comando permite ver somente as primeiras linhas de um arquivo, deve-se passar como argumento o número de linhas desejados.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_head.JPG">
            <div class = "overlay">
                <div class = "text"> $ head -n (numero de linhas) (nome do arquivo) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "TAIL"> TAIL </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ tail (nome do arquivo)</p> 
        <p class = "texto"> Ao contrário do comando HEAD, este permite visualizar somente o final do arquivo.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_tail.JPG">
            <div class = "overlay">
                <div class = "text"> $ tail (nome do arquivo) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "PS"> PS </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ ps</p> 
        <p class = "texto">Este comando mostra no terminal os processos que estão sendo executados no momento.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_ps.JPG">
            <div class = "overlay">
                <div class = "text"> $ ps </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />
        <h2 class = "subtitulo"  id = "MV"> MV </h2>
        <hr />
        <p class = "texto"> <b> Sintax: </b> $ mv (arquivo selecionado) (diretório de destino)</p> 
        <p class = "texto"> Com este comando o usuario pode mover um arquivo ou pasta para outro local.</p>
        <p class = "texto"> <b> Exemplo: </b> </p>

        <div class = "container">
            <img class = "image" src = "./img/cmd_mv.JPG">
            <div class = "overlay">
                <div class = "text"> $ mv (arquivo selecionado) (diretório de destino) </div>
            </div>
        </div>

        <h2> </h2> <br />
        <h2> </h2> <br />

    </BODY>
</HTML>